<template name="venueEdit">
  <div class="edit-page venue-edit">
    {{#if _id}}
      <h2>{{i18n 'venue.edit.title' 'Edit venue'}}</h2>
    {{else}}
      <h2>{{i18n 'venue.edit.titleCreate' 'Create new venue'}}</h2>
    {{/if}}
    <form>
      <div class="mb-3">
        <label class="form-label">{{i18n 'venue.edit.name' 'Name'}}</label>
        <input type="text" class="js-name form-control form-control-lg"
               placeholder="{{i18n 'venue.edit.namePlaceholder' 'Full name of venue' attr=true}}"
               size="60" value="{{name}}">
      </div>
      <div class="mb-3">
        <label class="form-label">{{i18n 'venue.edit.description' 'Description'}}</label>
        {{> richtext className="js-description" text=description placeholder=(i18n 'venue.edit.description.placeholder' 'Some words about this venue')}}
      </div>
      {{#if showMapSelection}}
        <div class="row gap-3 mb-3">
          {{#if regionSelectable}}
            <div class="col-md">
              <label class="form-label">{{i18n 'venue.edit.region' 'Region'}}</label>
              <div class="input-group">
                <span class="input-group-text">
                  <span class="fa-solid fa-location-dot" aria-hidden="true"></span>
                </span>
                <select name='region' class="form-select js-region">
                  <option value=''>
                    {{i18n 'venue.edit.pls_select' 'Please select'}}
                  </option>
                  {{#each region in regions}}
                    <option value='{{region._id}}'>{{region.name}}</option>
                  {{/each}}
                </select>
              </div>
            </div>
          {{/if}}
          {{#if regionSelected}}
            <div class="col-md">
              <label
                     class="form-label">{{i18n 'venue.edit.map' 'Please add location by clicking "+" (on the right inside the map)'}}</label>
              {{> map markers=venueMarkers allowPlacing=allowPlacing allowRemoving=allowRemoving}}
            </div>
          {{/if}}
        </div>
      {{/if}}

      <div class="mb-3">
        <label class="form-label">{{i18n 'venue.edit.address' 'Address'}}</label>
        <div class="input-group">
          <span class="input-group-text">
            <span class="fa-solid fa-location-dot fa-fw" aria-hidden="true"></span>
          </span>
          <input class="form-control js-address"
                 placeholder="{{i18n 'venue.edit.address.placeholder' 'Street, City, State' attr=true}}"
                 value="{{address}}">

        </div>
      </div>

      <div class="mb-3">
        <label class="form-label" for="editform-address">{{i18n 'venue.details.route'}}</label>
        <div class="input-group">
          <span class="input-group-text">
            <span class="fa-solid fa-signs-post"></span>
          </span>
          <textarea class="form-control js-route" id="editform-address"
                    placeholder="{{i18n 'venue.route.placeholder' 'near busstop, cross fence, then backyard, enter the black door… 23rd floor, then left.' attr=true}}"
                    value="{{route}}"></textarea>
        </div>
      </div>
      <div class="mb-3">
        <label
               class="form-label">{{i18n 'venue.edit.additionalInfo' 'Additional info (optional, but helps others find the venue)'}}</label>
        {{#if showAdditionalInfo}}
          <button type="button" class="btn btn-cancel btn-block js-toggle-additional-info-btn">
            {{i18n 'venue.edit.hideAdditionalInfo' 'Hide additional info'}}
          </button>
        {{else}}
          <button type="button" class="btn btn-secondary btn-block js-toggle-additional-info-btn">
            {{i18n 'venue.edit.provideAdditionalInfo' 'Fill out additional info'}}
          </button>
        {{/if}}
        <div {{displayAdditionalInfo}}>
          {{> venueEditAdditionalInfo}}
        </div>
      </div>
      <div class="form-actions">
        {{> buttonSave saving=saving}}
        {{> buttonCancel event="js-edit-cancel"}}
      </div>
    </form>
  </div>
</template>
